Subject: [RFC PATCH v2 1/2] drivers: misc: omap: add a new driver for ocp2scp

From: [email-masked] (Tony Lindgren)
Date: Wed, 18 Jul 2012 00:35:08 -0700

* Arnd Bergmann <[email-masked]> [120716 12:51]:
> On Monday 16 July 2012, ABRAHAM, KISHON VIJAY wrote:
> > >>
> > >> I think we should reconsider the idea of drivers/bus/ with a file per
> > >> bus in there at least for new buses, but doing a new drivers/scp/
> > >> would be ok for me if there is enough opposition against the idea
> > >> of drivers/bus aggregating different buses.
> > >
> > > I don't mind either way. The fact is that this ocp-to-scp bridge is
> > > really a TI/OMAP thing. Not sure it deserves a directory of its own.
> > 
> > Ok. Then I'll have a file in drivers/bus/ for ocp2scp driver.
> 
> Sounds good to me. I don't care if it's the only file in that directory.
> We can point the next person to a bus with a single file to that directory
> and let them add theirs.

Yes great. Sounds like that's where the omap GPMC bus driver should
end up going eventually.

Regards,

Tony